Part Number
    Please enter a valid full or partial manufacturer part number with a minimum of 3 letters or numbers

    RFC-13 Search Results

    SF Impression Pixel

    RFC-13 Price and Stock

    Select Manufacturer

    Kitagawa Industries Co Ltd GRFC-13

    Ferrite Core, Split, 13.5Mm, 95Ohm; |Kgs Kitagawa GRFC-13
    Distributors Part Package Stock Lead Time Min Order Qty Price Buy
    Newark GRFC-13 Bulk 868 1
    • 1 $7.01
    • 10 $6.73
    • 100 $5.04
    • 1000 $4.54
    • 10000 $4.54
    Buy Now

    Quest Technology International Inc RFC-1326

    CABLE ASSEMBLY, BNC PLUG, BNC JACK, RG-59B/U CBL,10FT.,BLACK, UL STDS, NON BOOTED
    Distributors Part Package Stock Lead Time Min Order Qty Price Buy
    RS RFC-1326 Bulk 13 3 Weeks 1
    • 1 $6.29
    • 10 $6.29
    • 100 $6.29
    • 1000 $6.29
    • 10000 $6.29
    Buy Now
    Onlinecomponents.com RFC-1326
    • 1 -
    • 10 -
    • 100 $6.34
    • 1000 $6.34
    • 10000 $6.34
    Buy Now

    Quest Technology International Inc RFC-1311

    CABLE ASSEMBLY, BNC PLUG, BNC JACK, RG-58A/U CBL, 12", BLACK, UL STDS, NON BOOTED
    Distributors Part Package Stock Lead Time Min Order Qty Price Buy
    RS RFC-1311 Bulk 5 Weeks 1
    • 1 $14.71
    • 10 $13.82
    • 100 $13.24
    • 1000 $13.24
    • 10000 $13.24
    Get Quote
    Onlinecomponents.com RFC-1311
    • 1 -
    • 10 -
    • 100 $4.05
    • 1000 $4.05
    • 10000 $4.05
    Buy Now

    Quest Technology International Inc RFC-1314

    Cable Assembly, BNC Plug, BNC Jack, RG-58A/U Cbl, 5ft., Black, UL Stds, Non Booted | Quest Technology International...
    Distributors Part Package Stock Lead Time Min Order Qty Price Buy
    Onlinecomponents.com RFC-1314
    • 1 -
    • 10 -
    • 100 $5.35
    • 1000 $5.35
    • 10000 $5.35
    Buy Now

    Quest Technology International Inc RFC-1313

    st Technology RFC-1313 BNC Cable, 50 Ohm, M-F, RG-58, Nickle Plated, Heat Shrink Tubing Ends, 3ft
    Distributors Part Package Stock Lead Time Min Order Qty Price Buy
    Onlinecomponents.com RFC-1313
    • 1 -
    • 10 -
    • 100 $4.90
    • 1000 $4.90
    • 10000 $4.90
    Buy Now

    Sorry, no results found... Check the part number for typos, or try the Alternates tab